# PlotRegion3D

The PlotRegion3D function allows you to draw a 3D region in the shape of an annular cylinder slice. The constructed region is returned in a Plot structure.

Inputs

The PlotRegion3D function has the following syntax:

PlotRegion3D(PointCloud,ExternalRegion,Color,Transparency,ShowAxisIndicator,ShowDirectionIndicator,DirectionIndicatorAxis,ModelMode,LineDrawingThickness,Show)

Parameter | Description
PointCloud | Reference to a cell containing a point cloud. The default value is $A$0.
Region3D | Specifies the dimensions, offset and angle for 3D region of interest (ROI) of the function. It is offset from the point cloud origin in the following format with the following arguments: {SizeX, SizeY, SizeZ, Curve, X, Y, Z, Rotation, Tilt, TiltDirection}
SizeX | The size of the ROI along the point cloud X-axis.
SizeY | The size of the ROI along the point cloud Y-axis.
SizeZ | The size of the ROI along the point cloud Z-axis.
Curve | The angle between the sides.
X | Offset on the X-axis from the point cloud origin.
Y | Offset on the Y-axis from the point cloud origin.
Z | Offset on the Z-axis from the point cloud origin.
Rotation | Specifies the in-plane rotation in degrees around the point cloud Z-axis of the tool. The value range is -360 to 360. The tool normalizes external references with values outside the allowed range to the allowed range.
Tilt | Specifies the tilt angle in degrees from the Fixture3D Z-axis of the tool after rotation. The value range is 0-180. External references with values outside the allowed range result in an error.
Tilt Direction | Specifies the direction of tilt in degrees from the rotated Fixture3D X-axis of the tool, around the Fixture3D Z-axis of the tool. The value range is -360 to 360. The tool normalizes external references with values outside the allowed range to the allowed range.
Note: This setting is only available if you set External Region to 0.
External Region | Specifies a reference to a Region3D defined in another cell. Does not accept Box3D or other input.
Name | The name to be displayed on the graphic overlay of the plotted structure.
Color | Specifies the color of the wireframe or surface, depending on the selected Model Mode. Default: 0x32CD32, LimeGreen; max: 0xFFFFFF. Configure different colors by providing the hexadecimal color code in the formula bar or selecting a color from the color picker on the tool property sheet. Note: If you set the Model Mode parameter to Solid with Wireframe, then the wireframe will be black regardless of the value of this setting.
Transparency | Specifies the transparency of the drawn structure or its elements, depending on the selected Model Mode. The value range of the property is 0 – 100 (from no transparency to complete transparency), and the default value is 0 (meaning no transparency).
Model Mode | Specifies how the plotted box will be drawn in the point cloud: Points: Only the corner points of the plotted region are drawn. Wireframe: The plotted region is drawn as a wireframe only, its surfaces being completely transparent. This is the default setting. Solid: The plotted region is drawn with its surfaces being completely solid. Solid with Wireframe: The plotted region is drawn with solid surfaces, with its wireframe highlighted.
Line Drawing Thickness | Specifies the thickness of the wireframe lines. This setting is available only if the Model Mode parameter is set to Wireframe or Solid with Wireframe, and its default value is 5 with a range between 1 to 10.
Show | Selects the display mode.
0 (Unchecked) = Off | The structure will be hidden, except when the cell containing the function is highlighted in the spreadsheet.
1 (Checked) = On (default) | The structure will be displayed at all times.

Outputs

Returns | A Plot structure that allows you to modify the plotted 3D region.
Results | When inserted into a cell, a ❒Plot structure is created, containing the settings of the 3D region drawn in the point cloud when the job is Online.